com.google.gwt.editor.client

## Interface ValueAwareEditor<T>

Type Parameters:
  `T` - the type of composite object the editor can display

All Superinterfaces:
  Editor<T>, HasEditorDelegate<T>

All Known Subinterfaces:
  CompositeEditor<T,C,E>

All Known Implementing Classes:
  HasDataEditor, ListEditor, OptionalFieldEditor

    public interface ValueAwareEditor<T>
    extends HasEditorDelegate<T>

Editors whose behavior changes based on the value being edited will implement this interface.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.editor.client.Editor

`Editor.Ignore, Editor.Path`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `flush()` Indicates that the Editor cycle is finished.
`void` `onPropertyChange(java.lang.String... paths)` Notifies the Editor that one or more value properties have changed.
`void` `setValue(T value)` Called by the EditorDriver to set the object the Editor is peered with

### Methods inherited from interface com.google.gwt.editor.client.HasEditorDelegate

`setDelegate`

### Method Detail

#### flush

    void flush()

Indicates that the Editor cycle is finished. This method will be called in a depth-first order by the EditorDriver, so Editors do not generally need to flush their sub-editors.

#### onPropertyChange

    void onPropertyChange(java.lang.String... paths)

Notifies the Editor that one or more value properties have changed. Not all backing services support property-based notifications.

Parameters:
  `paths` - a list of String paths

#### setValue

    void setValue(T value)

Called by the EditorDriver to set the object the Editor is peered with

ValueAwareEditors should preferentially use sub-editors to alter the properties of the object being edited.

Parameters:
  `value` - a value of type T